Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

List Client Credentials

GET/auth/client-credentials
Authorization
AuthorizationBearer token · headerrequired
Responses
200

Successful Response

Array of ClientCredential
created_by_userUser | nullrequired
Show properties
Any of:
User
idstringrequired
emailstringrequired
namestringrequired
profile_picture_urlstring | null
Show properties
Any of:
string
string
null
null
phone_numberstring | null
Show properties
Any of:
string
string
null
null
tenant_idstringrequired
created_atstring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
last_loginstring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
null
null
client_idstringrequired
descriptionstring | null
Show properties
Any of:
string
string
null
null
created_atstring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
rolesRole[]required
Show properties
Array of Role
idstringrequired
keystringrequired
namestringrequired
descriptionstring | nullrequired
Show properties
Any of:
string
string
null
null
created_atstring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
updated_atstring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
permissionsstring[]
service_idstring | nullrequired
Show properties
Any of:
string
string
null
null
secretstringrequired
Request
curl -X GET 'https://api.streamkap.com/auth/client-credentials' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
[
  {
    "created_by_user": {
      "id": "string",
      "email": "string",
      "name": "string",
      "profile_picture_url": "string",
      "phone_number": "string",
      "tenant_id": "string",
      "created_at": "string",
      "last_login": "string"
    },
    "client_id": "string",
    "description": "string",
    "created_at": "string",
    "roles": [
      {
        "id": "string",
        "key": "string",
        "name": "string",
        "description": "string",
        "created_at": "string",
        "updated_at": "string",
        "permissions": [
          "string"
        ]
      }
    ],
    "service_id": "string",
    "secret": "string"
  }
]